"""
Code from lecture 21 Read from files, write to files
"""

import random

def main():	
    items_list = load_stock("stock.txt")
    cart_list = []
    selection = 1
    while selection > 0:
        selection = get_menu_selection()
        print()
        if selection == 1:
            print_list(items_list)
        elif selection == 2:
            barcode = input("   Enter item code number: ")
            barcode = get_code_string(barcode)
            index = find_item_index(items_list, barcode)
            if index > -1:
                user_item = items_list[index] 
                print("   Added to cart:", user_item)
                cart_list.append(user_item)
                update_quantity(items_list, index, -1)
            else:
                print("   This item does not exist.")
        elif selection == 3:
                print_list(cart_list)	
        elif selection == 4:
                print_list(cart_list)
                cost = get_total(cart_list)
                print("  Total cost", "$" + str(cost))
                print("  ---------------------------------")
                print("  ---------------------------------")
    save_stock("stock2.txt", items_list)

def get_menu_selection():	
     print()
     print("1. Display stock")
     print("2. Add item")
     print("3. Display cart")
     print("4. Check out shopping cart")
     print("0. Exit")
     return int(input("   Enter selection: "))
#------------------------------
#Print the list of items
#------------------------------	
def print_list(a_list):
     for item in a_list:
         print(" ", item)
     print()
#------------------------------
#Create a code (e.g., bc003)
#------------------------------	
def get_code_string(num_str):
     code = "bc0" + num_str
     if int(num_str) < 10:
         code = "bc00" + num_str
     return code
#------------------------------
#SLIDE 10 - load_stock()
#------------------------------
def load_stock(filename):
    input_stream = open(filename, "r")
    contents = input_stream.read().strip()
    input_stream.close()
    item_list = contents.split("\n")
    return item_list
#------------------------------
#SLIDE 12 - find_item()
#------------------------------
def find_item_index(items_list, code):
     for i in range(len(items_list)):
          item = items_list[i]
          barcode_index = item.find(code)
          if barcode_index == 0:
               return i
     return -1
#------------------------------
#SLIDE 15 - get_total()
#------------------------------
def get_total(cart_list):
    total_cost = 0
    for item in cart_list:
        item_information = item.split(",")
        item_cost = float(item_information[2])
        total_cost += item_cost
    return total_cost

#------------------------------
#SLIDE 19 - update_quantity()
#------------------------------
def update_quantity(items_list, index, update_amt):
     item = items_list[index]
     item_info = item.split(",")
     amount_in_stock = int(item_info[3])
     amount_in_stock += update_amt
     updated_string = ""
     for i in range(len(item_info) - 1):
          updated_string += item_info[i] + ","
     updated_string += str(amount_in_stock)
     items_list[index] = updated_string
     
#------------------------------
#SLIDE 20 - save_stock()
#------------------------------
def save_stock(filename, list_of_items):
    output_stream = open(filename, "w")
    for item in list_of_items:
        output_stream.write(item + "\n")
    output_stream.close()

main()
