def get_code_string(num_str):
     code = "bc0" + num_str
     if int(num_str) < 10:
         code = "bc00" + num_str
     return code

def print_list(a_list):
    for item in a_list:
        print(" ", item)
    print()

def load_stock(filename):
    input_stream = open(filename, "r")
    contents = input_stream.read().strip()
    input_stream.close()
    item_list = contents.split("\n")
    return item_list

def find_item_index(items_list, code):
     for i in range(len(items_list)):
          item = items_list[i]
          barcode_index = item.find(code)
          if barcode_index == 0:
               return i
     return -1

def update_quantity(items_list, index, update_amt):
     item = items_list[index]
     item_info = item.split(",")
     amount_in_stock = int(item_info[3])
     amount_in_stock += update_amt
     updated_string = ""
     for i in range(len(item_info) - 1):
          updated_string += item_info[i] + ","
     updated_string += str(amount_in_stock)
     items_list[index] = updated_string

def main():
     cart_list = []
     items_list = load_stock("stock.txt")
     print_list(items_list)
     code_num = input("Enter item code number: ")
     barcode = get_code_string(code_num)
     index = find_item_index(items_list, barcode)
     if index > -1:
        user_item = items_list[index]
        cart_list.append(user_item)
        update_quantity(items_list, index, -1)
     print_list(items_list)

main()	
